Bug 164386 - x11-wm/icewm MenuIconSize option does not work
Summary: x11-wm/icewm MenuIconSize option does not work
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Eitan Adler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-22 23:00 UTC by Gabor Fischer
Modified: 2012-01-29 17:37 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Fischer 2012-01-22 23:00:20 UTC
The configuration variable "MenuIconSize" in the IceWM preferences does not do anything. There is already a patch available to correct this:

http://sourceforge.net/tracker/?func=detail&aid=3434601&group_id=31&atid=300031

This patch should be included in the port.

Fix: 

Apply patch found at http://sourceforge.net/tracker/?func=detail&aid=3434601&group_id=31&atid=300031
How-To-Repeat: In ~/.icewm/preferences, set  MenuIconSize to 32. Restart IceWM. The menu icon size remains unchanged.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2012-01-24 20:17:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->eadler

Fix synopsis and assign.
Comment 2 dfilter service freebsd_committer 2012-01-29 15:57:41 UTC
eadler      2012-01-29 15:57:27 UTC

  FreeBSD ports repository

  Modified files:
    x11-wm/icewm         Makefile 
  Log:
  - Enable XINERAMA by default - it has no extra depends
  - Enable Beastie by default - daemon > no daemon
  - Add a LITE option - untested
  - Include MenuIconSize not yet upstreamed
  
  PR:             ports/164386
  Submitted by:   Gabor Fischer <Gabor.Fischer@gmx.net>
  
  Revision  Changes    Path
  1.158     +14 -4     ports/x11-wm/icewm/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2012-01-29 17:37:52 UTC
State Changed
From-To: open->closed

Committed. Thanks!